server:
  port: 6030
spring:
  application:
    name: datacenter
  datasource:
    dynamic:
      primary: master
      strict: false
      datasource:
        master:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://172.31.39.212:3306/kucoin?characterEncoding=utf-8&serverTimezone=GMT%2B8&useSSL=false
          username: kucoin
          password: KCrbYZ2XcjBtxzdG
        copytrade:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://172.31.39.212:3306/copytrade?characterEncoding=utf-8&serverTimezone=GMT%2B8&useSSL=false
          username: copytrade
          password: idB2GX23z7pDnw5n
  redis:
    host: 172.31.39.212
    port: 6379
    password: redis123!
    database: 0
    timeout: 5000ms
    lettuce:
      pool:
        max-active: 8
        max-idle: 8
        min-idle: 1
        max-wait: 2000

swap:
  api:
    host: http://contract-swap-api

admin:
  host: http://localhost:6010

mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
